<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: SceneObject Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('dc/df8/class_scene_object.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a> &#124;
<a href="#pri-static-attribs">Static Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">SceneObject Class Reference</div></div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:ad14e0f7632931de91051fef97929e401"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../dc/df8/class_scene_object.html">SceneObject</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/df8/class_scene_object.html#ad14e0f7632931de91051fef97929e401">Init</a> (<a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> obj_name, <a class="el" href="../../d7/dfc/classvector.html">vector</a> pos)</td></tr>
<tr class="separator:ad14e0f7632931de91051fef97929e401"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aec6bca0254eabd8f547bf28d49a986e3"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/df8/class_scene_object.html#aec6bca0254eabd8f547bf28d49a986e3">GetObject</a> ()</td></tr>
<tr class="separator:aec6bca0254eabd8f547bf28d49a986e3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8dc8bbc15a4427f93d8382ebabbcc678"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/df8/class_scene_object.html#a8dc8bbc15a4427f93d8382ebabbcc678">GetName</a> ()</td></tr>
<tr class="separator:a8dc8bbc15a4427f93d8382ebabbcc678"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a68c2403962fb3616c8f70e2784eda6f7"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/df8/class_scene_object.html#a68c2403962fb3616c8f70e2784eda6f7">IsPlayer</a> ()</td></tr>
<tr class="separator:a68c2403962fb3616c8f70e2784eda6f7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae39978f4c26e63f7c39e9362b3c37939"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/df8/class_scene_object.html#ae39978f4c26e63f7c39e9362b3c37939">GetInitScript</a> ()</td></tr>
<tr class="separator:ae39978f4c26e63f7c39e9362b3c37939"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4eae77a58a29580d4a54c2362467930b"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/df8/class_scene_object.html#a4eae77a58a29580d4a54c2362467930b">SetInitScript</a> (<a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> init_script)</td></tr>
<tr class="separator:a4eae77a58a29580d4a54c2362467930b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a730227db0bd4f3054a9e8714ab191d07"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/df8/class_scene_object.html#a730227db0bd4f3054a9e8714ab191d07">EditorShapeUpdatePos</a> ()</td></tr>
<tr class="separator:a730227db0bd4f3054a9e8714ab191d07"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a892a53d865e9411226904604dd8cb24e"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/df8/class_scene_object.html#a892a53d865e9411226904604dd8cb24e">EditorShapeSetColor</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> color)</td></tr>
<tr class="separator:a892a53d865e9411226904604dd8cb24e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4fda637c1c62862c921068ff8c8ec5d2"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/df8/class_scene_object.html#a4fda637c1c62862c921068ff8c8ec5d2">EditorShapeSelect</a> ()</td></tr>
<tr class="separator:a4fda637c1c62862c921068ff8c8ec5d2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a24ff0e0e43814d23e0e16a0155fb29f9"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/df8/class_scene_object.html#a24ff0e0e43814d23e0e16a0155fb29f9">EditorShapeDeselect</a> ()</td></tr>
<tr class="separator:a24ff0e0e43814d23e0e16a0155fb29f9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad9f7b4d08aa7ad1c5570719f5b350acb"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d7/dfc/classvector.html">vector</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/df8/class_scene_object.html#ad9f7b4d08aa7ad1c5570719f5b350acb">GetSize</a> ()</td></tr>
<tr class="separator:ad9f7b4d08aa7ad1c5570719f5b350acb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aebfb9fbb456019022cb99771e3dfc521"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/df8/class_scene_object.html#aebfb9fbb456019022cb99771e3dfc521">EditorShapeAdd</a> ()</td></tr>
<tr class="separator:aebfb9fbb456019022cb99771e3dfc521"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa59651d6a18b54909423b88ee9711f90"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/df8/class_scene_object.html#aa59651d6a18b54909423b88ee9711f90">EditorShapeRemove</a> ()</td></tr>
<tr class="separator:aa59651d6a18b54909423b88ee9711f90"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab65ea5cfaf9d4962ced2f2e69ffb350c"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/df8/class_scene_object.html#ab65ea5cfaf9d4962ced2f2e69ffb350c">EditorLineRemove</a> (<a class="el" href="../../dc/df8/class_scene_object.html">SceneObject</a> obj)</td></tr>
<tr class="separator:ab65ea5cfaf9d4962ced2f2e69ffb350c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a872ecf9f1da5753c61c4e8b084f550c1"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/df8/class_scene_object.html#a872ecf9f1da5753c61c4e8b084f550c1">EditorLineAdd</a> (<a class="el" href="../../dc/df8/class_scene_object.html">SceneObject</a> obj)</td></tr>
<tr class="separator:a872ecf9f1da5753c61c4e8b084f550c1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a49263b1fd140e36e33ef300055efcabd"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/df8/class_scene_object.html#a49263b1fd140e36e33ef300055efcabd">LinkEntityAI</a> (<a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a> e)</td></tr>
<tr class="separator:a49263b1fd140e36e33ef300055efcabd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3a5fad2770277386bf7d72e1d5093927"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/df8/class_scene_object.html#a3a5fad2770277386bf7d72e1d5093927">IsLinkedWithSceneObject</a> (<a class="el" href="../../dc/df8/class_scene_object.html">SceneObject</a> scene_object)</td></tr>
<tr class="separator:a3a5fad2770277386bf7d72e1d5093927"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a985aa6ee699dcb311c177f12e1a06946"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/df8/class_scene_object.html#a985aa6ee699dcb311c177f12e1a06946">LinkSceneObject</a> (<a class="el" href="../../dc/df8/class_scene_object.html">SceneObject</a> scene_object, <a class="el" href="../../d9/db9/classbool.html">bool</a> draw_line=true)</td></tr>
<tr class="separator:a985aa6ee699dcb311c177f12e1a06946"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af6ce9299eca59eb0347042528bf65e4c"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/df8/class_scene_object.html#af6ce9299eca59eb0347042528bf65e4c">UnlinkSceneObject</a> (<a class="el" href="../../dc/df8/class_scene_object.html">SceneObject</a> scene_object)</td></tr>
<tr class="separator:af6ce9299eca59eb0347042528bf65e4c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6d56ef4c98b2b0b78848feff22c63c2c"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/df8/class_scene_object.html#a6d56ef4c98b2b0b78848feff22c63c2c">UnlinkAll</a> ()</td></tr>
<tr class="separator:a6d56ef4c98b2b0b78848feff22c63c2c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2b20fac1be2ddd9fd8b3535c3376b0dd"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d2/d41/classarray.html">array</a>&lt; <a class="el" href="../../dc/df8/class_scene_object.html">SceneObject</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/df8/class_scene_object.html#a2b20fac1be2ddd9fd8b3535c3376b0dd">GetLinkedSceneObjects</a> ()</td></tr>
<tr class="separator:a2b20fac1be2ddd9fd8b3535c3376b0dd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1849ca10abefae7cf3fd3973485f6550"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/df8/class_scene_object.html#a1849ca10abefae7cf3fd3973485f6550">GetLinkedSceneObjectsCount</a> ()</td></tr>
<tr class="separator:a1849ca10abefae7cf3fd3973485f6550"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a39c241d0175860125078dba4e304ea4d"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../dc/df8/class_scene_object.html">SceneObject</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/df8/class_scene_object.html#a39c241d0175860125078dba4e304ea4d">GetLinkedSceneObject</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> i)</td></tr>
<tr class="separator:a39c241d0175860125078dba4e304ea4d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a52e4e73eeba019d155b5647a372f08c2"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/df8/class_scene_object.html#a52e4e73eeba019d155b5647a372f08c2">GetLinkedObject</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> i)</td></tr>
<tr class="separator:a52e4e73eeba019d155b5647a372f08c2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad982b88a8e5fd2d1f0d13d54bb923851"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/df8/class_scene_object.html#ad982b88a8e5fd2d1f0d13d54bb923851">~SceneObject</a> ()</td></tr>
<tr class="separator:ad982b88a8e5fd2d1f0d13d54bb923851"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a636d3e2a4940112f98b0b9103fd5c4f8"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/df8/class_scene_object.html#a636d3e2a4940112f98b0b9103fd5c4f8">GetTypeName</a> ()</td></tr>
<tr class="separator:a636d3e2a4940112f98b0b9103fd5c4f8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af91b61533920c9db0d5b34a41ce630dc"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/df8/class_scene_object.html#af91b61533920c9db0d5b34a41ce630dc">PlaceOnSurface</a> ()</td></tr>
<tr class="separator:af91b61533920c9db0d5b34a41ce630dc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac10b00ef533fb39cbc58725e90c116b7"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/df8/class_scene_object.html#ac10b00ef533fb39cbc58725e90c116b7">SetPosition</a> (<a class="el" href="../../d7/dfc/classvector.html">vector</a> pos)</td></tr>
<tr class="separator:ac10b00ef533fb39cbc58725e90c116b7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acb1d8622095dab1e951702d06203f565"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d7/dfc/classvector.html">vector</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/df8/class_scene_object.html#acb1d8622095dab1e951702d06203f565">GetPosition</a> ()</td></tr>
<tr class="separator:acb1d8622095dab1e951702d06203f565"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4e5f929b9cdfb2cf73006f563a7ba0fd"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/df8/class_scene_object.html#a4e5f929b9cdfb2cf73006f563a7ba0fd">GetHealth</a> ()</td></tr>
<tr class="separator:a4e5f929b9cdfb2cf73006f563a7ba0fd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afc3438583e815f4f94d00f0ba9905b89"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/df8/class_scene_object.html#afc3438583e815f4f94d00f0ba9905b89">GetMaxHealth</a> ()</td></tr>
<tr class="separator:afc3438583e815f4f94d00f0ba9905b89"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7196a78dfe62e1d5edd03342f25b7067"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/df8/class_scene_object.html#a7196a78dfe62e1d5edd03342f25b7067">SetHealth</a> (<a class="el" href="../../d4/dc3/classfloat.html">float</a> value)</td></tr>
<tr class="separator:a7196a78dfe62e1d5edd03342f25b7067"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab97631b070e6c7ca1e5eca8fd2fedebd"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/df8/class_scene_object.html#ab97631b070e6c7ca1e5eca8fd2fedebd">GetPositionAsString</a> ()</td></tr>
<tr class="separator:ab97631b070e6c7ca1e5eca8fd2fedebd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a692308899f42be18e8bfad7b93a455e6"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/df8/class_scene_object.html#a692308899f42be18e8bfad7b93a455e6">SetPositionAsString</a> (<a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> string_pos)</td></tr>
<tr class="separator:a692308899f42be18e8bfad7b93a455e6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a72c8019ce416c974d4f56fa13a0f6231"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/df8/class_scene_object.html#a72c8019ce416c974d4f56fa13a0f6231">GetRotation</a> ()</td></tr>
<tr class="separator:a72c8019ce416c974d4f56fa13a0f6231"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5c197be2cc225df818284d5acad01899"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/df8/class_scene_object.html#a5c197be2cc225df818284d5acad01899">SetRotation</a> (<a class="el" href="../../d4/dc3/classfloat.html">float</a> rot)</td></tr>
<tr class="separator:a5c197be2cc225df818284d5acad01899"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ade7efbb8e4976c5c5f1be8dbcdff3921"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/df8/class_scene_object.html#ade7efbb8e4976c5c5f1be8dbcdff3921">SceneObjectSynch</a> (<a class="el" href="../../d9/dc3/group___tools.html#de/d90/class_param">Param</a> p)</td></tr>
<tr class="separator:ade7efbb8e4976c5c5f1be8dbcdff3921"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a125342821c47467d33dc6feed512b6a2"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/df8/class_scene_object.html#a125342821c47467d33dc6feed512b6a2">AddRotation</a> (<a class="el" href="../../d4/dc3/classfloat.html">float</a> add_rot)</td></tr>
<tr class="separator:a125342821c47467d33dc6feed512b6a2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7f1cbfa9dd2d36c9350ec9525ed145c4"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/df8/class_scene_object.html#a7f1cbfa9dd2d36c9350ec9525ed145c4">AddAttachment</a> (<a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> att_name)</td></tr>
<tr class="separator:a7f1cbfa9dd2d36c9350ec9525ed145c4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abb548ef606cc7a2b115bc8be2f79159c"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/df8/class_scene_object.html#abb548ef606cc7a2b115bc8be2f79159c">CanAttachment</a> (<a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a> e)</td></tr>
<tr class="separator:abb548ef606cc7a2b115bc8be2f79159c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a790c5a2991f218a8624c00c90b2ad5bf"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/df8/class_scene_object.html#a790c5a2991f218a8624c00c90b2ad5bf">RemoveAttachment</a> (<a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a> e)</td></tr>
<tr class="separator:a790c5a2991f218a8624c00c90b2ad5bf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aba39edde2f31d6506abee512c89f9a1c"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d2/d41/classarray.html">array</a>&lt; <a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/df8/class_scene_object.html#aba39edde2f31d6506abee512c89f9a1c">GetAttachments</a> ()</td></tr>
<tr class="separator:aba39edde2f31d6506abee512c89f9a1c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5acd4c40903e531163b829a6104c5f92"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/d78/group___enforce.html#ga28845e68ed8329715e29aded7542ca15">TStringArray</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/df8/class_scene_object.html#a5acd4c40903e531163b829a6104c5f92">GetConfigAttachments</a> ()</td></tr>
<tr class="separator:a5acd4c40903e531163b829a6104c5f92"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a43c4b5b3e66280a7f88d9889feaa3f4e"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/df8/class_scene_object.html#a43c4b5b3e66280a7f88d9889feaa3f4e">IsPlayer</a> ()</td></tr>
<tr class="separator:a43c4b5b3e66280a7f88d9889feaa3f4e"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:aaaf399fc7ba6ec91489a8518bc0cffaf"><td class="memItemLeft" align="right" valign="top">protected <a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/df8/class_scene_object.html#aaaf399fc7ba6ec91489a8518bc0cffaf">m_ObjectPtr</a></td></tr>
<tr class="separator:aaaf399fc7ba6ec91489a8518bc0cffaf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a94434c24368beaae3a83fd29e43ff387"><td class="memItemLeft" align="right" valign="top">protected <a class="el" href="../../d6/dae/group___debug_shape.html#gaf4344f1db5238ced76a52bf38cee2978">Shape</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/df8/class_scene_object.html#a94434c24368beaae3a83fd29e43ff387">m_DebugShapeBBox</a></td></tr>
<tr class="separator:a94434c24368beaae3a83fd29e43ff387"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5bab9fb61faa0742374b9ae99a3e4578"><td class="memItemLeft" align="right" valign="top">protected <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/df8/class_scene_object.html#a5bab9fb61faa0742374b9ae99a3e4578">m_InitScript</a></td></tr>
<tr class="separator:a5bab9fb61faa0742374b9ae99a3e4578"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0604a1bed1bc752b35d93af3376655f6"><td class="memItemLeft" align="right" valign="top">protected <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/df8/class_scene_object.html#a0604a1bed1bc752b35d93af3376655f6">m_ObjectName</a></td></tr>
<tr class="separator:a0604a1bed1bc752b35d93af3376655f6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1d195fb918fc2299f151641998cdcb75"><td class="memItemLeft" align="right" valign="top">protected <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/df8/class_scene_object.html#a1d195fb918fc2299f151641998cdcb75">m_ObjectNameOrigin</a></td></tr>
<tr class="separator:a1d195fb918fc2299f151641998cdcb75"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aae49966ebb2a7f5f461d749f17d80bce"><td class="memItemLeft" align="right" valign="top">protected ref <a class="el" href="../../d2/d41/classarray.html">array</a>&lt; <a class="el" href="../../dc/df8/class_scene_object.html">SceneObject</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/df8/class_scene_object.html#aae49966ebb2a7f5f461d749f17d80bce">m_LinkedSceneObjects</a></td></tr>
<tr class="separator:aae49966ebb2a7f5f461d749f17d80bce"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a92851d46c9fa0ab8c2045177fde9f877"><td class="memItemLeft" align="right" valign="top">protected ref <a class="el" href="../../d6/d7f/_controls_xbox_new_8c.html#a9ec9dda576db2a36c42c1c3af155d07c">map</a>&lt; <a class="el" href="../../dc/df8/class_scene_object.html">SceneObject</a>, <a class="el" href="../../d6/dae/group___debug_shape.html#gaf4344f1db5238ced76a52bf38cee2978">Shape</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/df8/class_scene_object.html#a92851d46c9fa0ab8c2045177fde9f877">m_LinkedSceneObjectsShapes</a></td></tr>
<tr class="separator:a92851d46c9fa0ab8c2045177fde9f877"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a67e5207d5166a05b97737e2d0f23b232"><td class="memItemLeft" align="right" valign="top">ref <a class="el" href="../../d2/d41/classarray.html">array</a>&lt; <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/df8/class_scene_object.html#a67e5207d5166a05b97737e2d0f23b232">m_LinkedSceneObjectsIndices</a></td></tr>
<tr class="separator:a67e5207d5166a05b97737e2d0f23b232"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-static-attribs" name="pri-static-attribs"></a>
Static Private Attributes</h2></td></tr>
<tr class="memitem:a806a6599564a802efbc3a0a7de84bad1"><td class="memItemLeft" align="right" valign="top">static const <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/df8/class_scene_object.html#a806a6599564a802efbc3a0a7de84bad1">COLOR_OBJ_BBOX_NORMAL</a> = 0x00000000</td></tr>
<tr class="separator:a806a6599564a802efbc3a0a7de84bad1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aece7f39c82f65d2ef544f258db7ebc7c"><td class="memItemLeft" align="right" valign="top">static const <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/df8/class_scene_object.html#aece7f39c82f65d2ef544f258db7ebc7c">COLOR_OBJ_BBOX_SELECT</a> = 0x1f007C00</td></tr>
<tr class="separator:aece7f39c82f65d2ef544f258db7ebc7c"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="../../db/d50/_scene_object_8c_source.html#l00001">1</a> of file <a class="el" href="../../db/d50/_scene_object_8c_source.html">SceneObject.c</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="ad982b88a8e5fd2d1f0d13d54bb923851" name="ad982b88a8e5fd2d1f0d13d54bb923851"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad982b88a8e5fd2d1f0d13d54bb923851">&#9670;&#160;</a></span>~SceneObject()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void SceneObject::~SceneObject </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d50/_scene_object_8c_source.html#l00357">357</a> of file <a class="el" href="../../db/d50/_scene_object_8c_source.html">SceneObject.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a7f1cbfa9dd2d36c9350ec9525ed145c4" name="a7f1cbfa9dd2d36c9350ec9525ed145c4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7f1cbfa9dd2d36c9350ec9525ed145c4">&#9670;&#160;</a></span>AddAttachment()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void SceneObject::AddAttachment </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td>
          <td class="paramname"><em>att_name</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d50/_scene_object_8c_source.html#l00543">543</a> of file <a class="el" href="../../db/d50/_scene_object_8c_source.html">SceneObject.c</a>.</p>

</div>
</div>
<a id="a125342821c47467d33dc6feed512b6a2" name="a125342821c47467d33dc6feed512b6a2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a125342821c47467d33dc6feed512b6a2">&#9670;&#160;</a></span>AddRotation()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void SceneObject::AddRotation </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>add_rot</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d50/_scene_object_8c_source.html#l00520">520</a> of file <a class="el" href="../../db/d50/_scene_object_8c_source.html">SceneObject.c</a>.</p>

</div>
</div>
<a id="abb548ef606cc7a2b115bc8be2f79159c" name="abb548ef606cc7a2b115bc8be2f79159c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abb548ef606cc7a2b115bc8be2f79159c">&#9670;&#160;</a></span>CanAttachment()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/db9/classbool.html">bool</a> SceneObject::CanAttachment </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a>&#160;</td>
          <td class="paramname"><em>e</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d50/_scene_object_8c_source.html#l00551">551</a> of file <a class="el" href="../../db/d50/_scene_object_8c_source.html">SceneObject.c</a>.</p>

</div>
</div>
<a id="a872ecf9f1da5753c61c4e8b084f550c1" name="a872ecf9f1da5753c61c4e8b084f550c1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a872ecf9f1da5753c61c4e8b084f550c1">&#9670;&#160;</a></span>EditorLineAdd()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void SceneObject::EditorLineAdd </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../dc/df8/class_scene_object.html">SceneObject</a>&#160;</td>
          <td class="paramname"><em>obj</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d50/_scene_object_8c_source.html#l00233">233</a> of file <a class="el" href="../../db/d50/_scene_object_8c_source.html">SceneObject.c</a>.</p>

</div>
</div>
<a id="ab65ea5cfaf9d4962ced2f2e69ffb350c" name="ab65ea5cfaf9d4962ced2f2e69ffb350c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab65ea5cfaf9d4962ced2f2e69ffb350c">&#9670;&#160;</a></span>EditorLineRemove()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void SceneObject::EditorLineRemove </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../dc/df8/class_scene_object.html">SceneObject</a>&#160;</td>
          <td class="paramname"><em>obj</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d50/_scene_object_8c_source.html#l00217">217</a> of file <a class="el" href="../../db/d50/_scene_object_8c_source.html">SceneObject.c</a>.</p>

</div>
</div>
<a id="aebfb9fbb456019022cb99771e3dfc521" name="aebfb9fbb456019022cb99771e3dfc521"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aebfb9fbb456019022cb99771e3dfc521">&#9670;&#160;</a></span>EditorShapeAdd()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void SceneObject::EditorShapeAdd </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d50/_scene_object_8c_source.html#l00168">168</a> of file <a class="el" href="../../db/d50/_scene_object_8c_source.html">SceneObject.c</a>.</p>

</div>
</div>
<a id="a24ff0e0e43814d23e0e16a0155fb29f9" name="a24ff0e0e43814d23e0e16a0155fb29f9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a24ff0e0e43814d23e0e16a0155fb29f9">&#9670;&#160;</a></span>EditorShapeDeselect()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void SceneObject::EditorShapeDeselect </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d50/_scene_object_8c_source.html#l00134">134</a> of file <a class="el" href="../../db/d50/_scene_object_8c_source.html">SceneObject.c</a>.</p>

</div>
</div>
<a id="aa59651d6a18b54909423b88ee9711f90" name="aa59651d6a18b54909423b88ee9711f90"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa59651d6a18b54909423b88ee9711f90">&#9670;&#160;</a></span>EditorShapeRemove()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void SceneObject::EditorShapeRemove </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d50/_scene_object_8c_source.html#l00205">205</a> of file <a class="el" href="../../db/d50/_scene_object_8c_source.html">SceneObject.c</a>.</p>

</div>
</div>
<a id="a4fda637c1c62862c921068ff8c8ec5d2" name="a4fda637c1c62862c921068ff8c8ec5d2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4fda637c1c62862c921068ff8c8ec5d2">&#9670;&#160;</a></span>EditorShapeSelect()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void SceneObject::EditorShapeSelect </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d50/_scene_object_8c_source.html#l00126">126</a> of file <a class="el" href="../../db/d50/_scene_object_8c_source.html">SceneObject.c</a>.</p>

</div>
</div>
<a id="a892a53d865e9411226904604dd8cb24e" name="a892a53d865e9411226904604dd8cb24e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a892a53d865e9411226904604dd8cb24e">&#9670;&#160;</a></span>EditorShapeSetColor()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void SceneObject::EditorShapeSetColor </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>color</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d50/_scene_object_8c_source.html#l00115">115</a> of file <a class="el" href="../../db/d50/_scene_object_8c_source.html">SceneObject.c</a>.</p>

</div>
</div>
<a id="a730227db0bd4f3054a9e8714ab191d07" name="a730227db0bd4f3054a9e8714ab191d07"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a730227db0bd4f3054a9e8714ab191d07">&#9670;&#160;</a></span>EditorShapeUpdatePos()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void SceneObject::EditorShapeUpdatePos </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d50/_scene_object_8c_source.html#l00098">98</a> of file <a class="el" href="../../db/d50/_scene_object_8c_source.html">SceneObject.c</a>.</p>

</div>
</div>
<a id="aba39edde2f31d6506abee512c89f9a1c" name="aba39edde2f31d6506abee512c89f9a1c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aba39edde2f31d6506abee512c89f9a1c">&#9670;&#160;</a></span>GetAttachments()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d2/d41/classarray.html">array</a>&lt; <a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a> &gt; SceneObject::GetAttachments </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d50/_scene_object_8c_source.html#l00567">567</a> of file <a class="el" href="../../db/d50/_scene_object_8c_source.html">SceneObject.c</a>.</p>

</div>
</div>
<a id="a5acd4c40903e531163b829a6104c5f92" name="a5acd4c40903e531163b829a6104c5f92"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5acd4c40903e531163b829a6104c5f92">&#9670;&#160;</a></span>GetConfigAttachments()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/d78/group___enforce.html#ga28845e68ed8329715e29aded7542ca15">TStringArray</a> SceneObject::GetConfigAttachments </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d50/_scene_object_8c_source.html#l00582">582</a> of file <a class="el" href="../../db/d50/_scene_object_8c_source.html">SceneObject.c</a>.</p>

</div>
</div>
<a id="a4e5f929b9cdfb2cf73006f563a7ba0fd" name="a4e5f929b9cdfb2cf73006f563a7ba0fd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4e5f929b9cdfb2cf73006f563a7ba0fd">&#9670;&#160;</a></span>GetHealth()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d4/dc3/classfloat.html">float</a> SceneObject::GetHealth </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d50/_scene_object_8c_source.html#l00433">433</a> of file <a class="el" href="../../db/d50/_scene_object_8c_source.html">SceneObject.c</a>.</p>

</div>
</div>
<a id="ae39978f4c26e63f7c39e9362b3c37939" name="ae39978f4c26e63f7c39e9362b3c37939"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae39978f4c26e63f7c39e9362b3c37939">&#9670;&#160;</a></span>GetInitScript()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> SceneObject::GetInitScript </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d50/_scene_object_8c_source.html#l00082">82</a> of file <a class="el" href="../../db/d50/_scene_object_8c_source.html">SceneObject.c</a>.</p>

</div>
</div>
<a id="a52e4e73eeba019d155b5647a372f08c2" name="a52e4e73eeba019d155b5647a372f08c2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a52e4e73eeba019d155b5647a372f08c2">&#9670;&#160;</a></span>GetLinkedObject()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a> SceneObject::GetLinkedObject </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>i</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d50/_scene_object_8c_source.html#l00349">349</a> of file <a class="el" href="../../db/d50/_scene_object_8c_source.html">SceneObject.c</a>.</p>

</div>
</div>
<a id="a39c241d0175860125078dba4e304ea4d" name="a39c241d0175860125078dba4e304ea4d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a39c241d0175860125078dba4e304ea4d">&#9670;&#160;</a></span>GetLinkedSceneObject()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../dc/df8/class_scene_object.html">SceneObject</a> SceneObject::GetLinkedSceneObject </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>i</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d50/_scene_object_8c_source.html#l00341">341</a> of file <a class="el" href="../../db/d50/_scene_object_8c_source.html">SceneObject.c</a>.</p>

</div>
</div>
<a id="a2b20fac1be2ddd9fd8b3535c3376b0dd" name="a2b20fac1be2ddd9fd8b3535c3376b0dd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2b20fac1be2ddd9fd8b3535c3376b0dd">&#9670;&#160;</a></span>GetLinkedSceneObjects()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d2/d41/classarray.html">array</a>&lt; <a class="el" href="../../dc/df8/class_scene_object.html">SceneObject</a> &gt; SceneObject::GetLinkedSceneObjects </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d50/_scene_object_8c_source.html#l00325">325</a> of file <a class="el" href="../../db/d50/_scene_object_8c_source.html">SceneObject.c</a>.</p>

</div>
</div>
<a id="a1849ca10abefae7cf3fd3973485f6550" name="a1849ca10abefae7cf3fd3973485f6550"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1849ca10abefae7cf3fd3973485f6550">&#9670;&#160;</a></span>GetLinkedSceneObjectsCount()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> SceneObject::GetLinkedSceneObjectsCount </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d50/_scene_object_8c_source.html#l00333">333</a> of file <a class="el" href="../../db/d50/_scene_object_8c_source.html">SceneObject.c</a>.</p>

</div>
</div>
<a id="afc3438583e815f4f94d00f0ba9905b89" name="afc3438583e815f4f94d00f0ba9905b89"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afc3438583e815f4f94d00f0ba9905b89">&#9670;&#160;</a></span>GetMaxHealth()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d4/dc3/classfloat.html">float</a> SceneObject::GetMaxHealth </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d50/_scene_object_8c_source.html#l00442">442</a> of file <a class="el" href="../../db/d50/_scene_object_8c_source.html">SceneObject.c</a>.</p>

</div>
</div>
<a id="a8dc8bbc15a4427f93d8382ebabbcc678" name="a8dc8bbc15a4427f93d8382ebabbcc678"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8dc8bbc15a4427f93d8382ebabbcc678">&#9670;&#160;</a></span>GetName()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> SceneObject::GetName </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d50/_scene_object_8c_source.html#l00066">66</a> of file <a class="el" href="../../db/d50/_scene_object_8c_source.html">SceneObject.c</a>.</p>

</div>
</div>
<a id="aec6bca0254eabd8f547bf28d49a986e3" name="aec6bca0254eabd8f547bf28d49a986e3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aec6bca0254eabd8f547bf28d49a986e3">&#9670;&#160;</a></span>GetObject()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a> SceneObject::GetObject </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d50/_scene_object_8c_source.html#l00058">58</a> of file <a class="el" href="../../db/d50/_scene_object_8c_source.html">SceneObject.c</a>.</p>

</div>
</div>
<a id="acb1d8622095dab1e951702d06203f565" name="acb1d8622095dab1e951702d06203f565"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acb1d8622095dab1e951702d06203f565">&#9670;&#160;</a></span>GetPosition()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d7/dfc/classvector.html">vector</a> SceneObject::GetPosition </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d50/_scene_object_8c_source.html#l00424">424</a> of file <a class="el" href="../../db/d50/_scene_object_8c_source.html">SceneObject.c</a>.</p>

</div>
</div>
<a id="ab97631b070e6c7ca1e5eca8fd2fedebd" name="ab97631b070e6c7ca1e5eca8fd2fedebd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab97631b070e6c7ca1e5eca8fd2fedebd">&#9670;&#160;</a></span>GetPositionAsString()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> SceneObject::GetPositionAsString </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d50/_scene_object_8c_source.html#l00470">470</a> of file <a class="el" href="../../db/d50/_scene_object_8c_source.html">SceneObject.c</a>.</p>

</div>
</div>
<a id="a72c8019ce416c974d4f56fa13a0f6231" name="a72c8019ce416c974d4f56fa13a0f6231"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a72c8019ce416c974d4f56fa13a0f6231">&#9670;&#160;</a></span>GetRotation()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d4/dc3/classfloat.html">float</a> SceneObject::GetRotation </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d50/_scene_object_8c_source.html#l00487">487</a> of file <a class="el" href="../../db/d50/_scene_object_8c_source.html">SceneObject.c</a>.</p>

</div>
</div>
<a id="ad9f7b4d08aa7ad1c5570719f5b350acb" name="ad9f7b4d08aa7ad1c5570719f5b350acb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad9f7b4d08aa7ad1c5570719f5b350acb">&#9670;&#160;</a></span>GetSize()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d7/dfc/classvector.html">vector</a> SceneObject::GetSize </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d50/_scene_object_8c_source.html#l00142">142</a> of file <a class="el" href="../../db/d50/_scene_object_8c_source.html">SceneObject.c</a>.</p>

</div>
</div>
<a id="a636d3e2a4940112f98b0b9103fd5c4f8" name="a636d3e2a4940112f98b0b9103fd5c4f8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a636d3e2a4940112f98b0b9103fd5c4f8">&#9670;&#160;</a></span>GetTypeName()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> SceneObject::GetTypeName </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d50/_scene_object_8c_source.html#l00376">376</a> of file <a class="el" href="../../db/d50/_scene_object_8c_source.html">SceneObject.c</a>.</p>

</div>
</div>
<a id="ad14e0f7632931de91051fef97929e401" name="ad14e0f7632931de91051fef97929e401"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad14e0f7632931de91051fef97929e401">&#9670;&#160;</a></span>Init()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../dc/df8/class_scene_object.html">SceneObject</a> SceneObject::Init </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td>
          <td class="paramname"><em>obj_name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d7/dfc/classvector.html">vector</a>&#160;</td>
          <td class="paramname"><em>pos</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d50/_scene_object_8c_source.html#l00020">20</a> of file <a class="el" href="../../db/d50/_scene_object_8c_source.html">SceneObject.c</a>.</p>

</div>
</div>
<a id="a3a5fad2770277386bf7d72e1d5093927" name="a3a5fad2770277386bf7d72e1d5093927"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3a5fad2770277386bf7d72e1d5093927">&#9670;&#160;</a></span>IsLinkedWithSceneObject()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/db9/classbool.html">bool</a> SceneObject::IsLinkedWithSceneObject </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../dc/df8/class_scene_object.html">SceneObject</a>&#160;</td>
          <td class="paramname"><em>scene_object</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d50/_scene_object_8c_source.html#l00265">265</a> of file <a class="el" href="../../db/d50/_scene_object_8c_source.html">SceneObject.c</a>.</p>

</div>
</div>
<a id="a68c2403962fb3616c8f70e2784eda6f7" name="a68c2403962fb3616c8f70e2784eda6f7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a68c2403962fb3616c8f70e2784eda6f7">&#9670;&#160;</a></span>IsPlayer() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/db9/classbool.html">bool</a> SceneObject::IsPlayer </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d50/_scene_object_8c_source.html#l00074">74</a> of file <a class="el" href="../../db/d50/_scene_object_8c_source.html">SceneObject.c</a>.</p>

</div>
</div>
<a id="a43c4b5b3e66280a7f88d9889feaa3f4e" name="a43c4b5b3e66280a7f88d9889feaa3f4e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a43c4b5b3e66280a7f88d9889feaa3f4e">&#9670;&#160;</a></span>IsPlayer() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> SceneObject::IsPlayer </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/d8c/_scene_player_8c_source.html#l00006">6</a> of file <a class="el" href="../../d2/d8c/_scene_player_8c_source.html">ScenePlayer.c</a>.</p>

</div>
</div>
<a id="a49263b1fd140e36e33ef300055efcabd" name="a49263b1fd140e36e33ef300055efcabd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a49263b1fd140e36e33ef300055efcabd">&#9670;&#160;</a></span>LinkEntityAI()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void SceneObject::LinkEntityAI </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a>&#160;</td>
          <td class="paramname"><em>e</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d50/_scene_object_8c_source.html#l00257">257</a> of file <a class="el" href="../../db/d50/_scene_object_8c_source.html">SceneObject.c</a>.</p>

</div>
</div>
<a id="a985aa6ee699dcb311c177f12e1a06946" name="a985aa6ee699dcb311c177f12e1a06946"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a985aa6ee699dcb311c177f12e1a06946">&#9670;&#160;</a></span>LinkSceneObject()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void SceneObject::LinkSceneObject </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../dc/df8/class_scene_object.html">SceneObject</a>&#160;</td>
          <td class="paramname"><em>scene_object</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td>
          <td class="paramname"><em>draw_line</em> = <code>true</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d50/_scene_object_8c_source.html#l00281">281</a> of file <a class="el" href="../../db/d50/_scene_object_8c_source.html">SceneObject.c</a>.</p>

</div>
</div>
<a id="af91b61533920c9db0d5b34a41ce630dc" name="af91b61533920c9db0d5b34a41ce630dc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af91b61533920c9db0d5b34a41ce630dc">&#9670;&#160;</a></span>PlaceOnSurface()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void SceneObject::PlaceOnSurface </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d50/_scene_object_8c_source.html#l00384">384</a> of file <a class="el" href="../../db/d50/_scene_object_8c_source.html">SceneObject.c</a>.</p>

</div>
</div>
<a id="a790c5a2991f218a8624c00c90b2ad5bf" name="a790c5a2991f218a8624c00c90b2ad5bf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a790c5a2991f218a8624c00c90b2ad5bf">&#9670;&#160;</a></span>RemoveAttachment()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void SceneObject::RemoveAttachment </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a>&#160;</td>
          <td class="paramname"><em>e</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d50/_scene_object_8c_source.html#l00559">559</a> of file <a class="el" href="../../db/d50/_scene_object_8c_source.html">SceneObject.c</a>.</p>

</div>
</div>
<a id="ade7efbb8e4976c5c5f1be8dbcdff3921" name="ade7efbb8e4976c5c5f1be8dbcdff3921"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ade7efbb8e4976c5c5f1be8dbcdff3921">&#9670;&#160;</a></span>SceneObjectSynch()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void SceneObject::SceneObjectSynch </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d9/dc3/group___tools.html#de/d90/class_param">Param</a>&#160;</td>
          <td class="paramname"><em>p</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d50/_scene_object_8c_source.html#l00512">512</a> of file <a class="el" href="../../db/d50/_scene_object_8c_source.html">SceneObject.c</a>.</p>

</div>
</div>
<a id="a7196a78dfe62e1d5edd03342f25b7067" name="a7196a78dfe62e1d5edd03342f25b7067"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7196a78dfe62e1d5edd03342f25b7067">&#9670;&#160;</a></span>SetHealth()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void SceneObject::SetHealth </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>value</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d50/_scene_object_8c_source.html#l00451">451</a> of file <a class="el" href="../../db/d50/_scene_object_8c_source.html">SceneObject.c</a>.</p>

</div>
</div>
<a id="a4eae77a58a29580d4a54c2362467930b" name="a4eae77a58a29580d4a54c2362467930b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4eae77a58a29580d4a54c2362467930b">&#9670;&#160;</a></span>SetInitScript()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void SceneObject::SetInitScript </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td>
          <td class="paramname"><em>init_script</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d50/_scene_object_8c_source.html#l00090">90</a> of file <a class="el" href="../../db/d50/_scene_object_8c_source.html">SceneObject.c</a>.</p>

</div>
</div>
<a id="ac10b00ef533fb39cbc58725e90c116b7" name="ac10b00ef533fb39cbc58725e90c116b7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac10b00ef533fb39cbc58725e90c116b7">&#9670;&#160;</a></span>SetPosition()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void SceneObject::SetPosition </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d7/dfc/classvector.html">vector</a>&#160;</td>
          <td class="paramname"><em>pos</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d50/_scene_object_8c_source.html#l00403">403</a> of file <a class="el" href="../../db/d50/_scene_object_8c_source.html">SceneObject.c</a>.</p>

</div>
</div>
<a id="a692308899f42be18e8bfad7b93a455e6" name="a692308899f42be18e8bfad7b93a455e6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a692308899f42be18e8bfad7b93a455e6">&#9670;&#160;</a></span>SetPositionAsString()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void SceneObject::SetPositionAsString </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td>
          <td class="paramname"><em>string_pos</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d50/_scene_object_8c_source.html#l00479">479</a> of file <a class="el" href="../../db/d50/_scene_object_8c_source.html">SceneObject.c</a>.</p>

</div>
</div>
<a id="a5c197be2cc225df818284d5acad01899" name="a5c197be2cc225df818284d5acad01899"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5c197be2cc225df818284d5acad01899">&#9670;&#160;</a></span>SetRotation()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void SceneObject::SetRotation </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>rot</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d50/_scene_object_8c_source.html#l00501">501</a> of file <a class="el" href="../../db/d50/_scene_object_8c_source.html">SceneObject.c</a>.</p>

</div>
</div>
<a id="a6d56ef4c98b2b0b78848feff22c63c2c" name="a6d56ef4c98b2b0b78848feff22c63c2c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6d56ef4c98b2b0b78848feff22c63c2c">&#9670;&#160;</a></span>UnlinkAll()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void SceneObject::UnlinkAll </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d50/_scene_object_8c_source.html#l00309">309</a> of file <a class="el" href="../../db/d50/_scene_object_8c_source.html">SceneObject.c</a>.</p>

</div>
</div>
<a id="af6ce9299eca59eb0347042528bf65e4c" name="af6ce9299eca59eb0347042528bf65e4c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af6ce9299eca59eb0347042528bf65e4c">&#9670;&#160;</a></span>UnlinkSceneObject()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void SceneObject::UnlinkSceneObject </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../dc/df8/class_scene_object.html">SceneObject</a>&#160;</td>
          <td class="paramname"><em>scene_object</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d50/_scene_object_8c_source.html#l00296">296</a> of file <a class="el" href="../../db/d50/_scene_object_8c_source.html">SceneObject.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Field Documentation</h2>
<a id="a806a6599564a802efbc3a0a7de84bad1" name="a806a6599564a802efbc3a0a7de84bad1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a806a6599564a802efbc3a0a7de84bad1">&#9670;&#160;</a></span>COLOR_OBJ_BBOX_NORMAL</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> SceneObject::COLOR_OBJ_BBOX_NORMAL = 0x00000000</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d50/_scene_object_8c_source.html#l00003">3</a> of file <a class="el" href="../../db/d50/_scene_object_8c_source.html">SceneObject.c</a>.</p>

</div>
</div>
<a id="aece7f39c82f65d2ef544f258db7ebc7c" name="aece7f39c82f65d2ef544f258db7ebc7c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aece7f39c82f65d2ef544f258db7ebc7c">&#9670;&#160;</a></span>COLOR_OBJ_BBOX_SELECT</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> SceneObject::COLOR_OBJ_BBOX_SELECT = 0x1f007C00</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d50/_scene_object_8c_source.html#l00004">4</a> of file <a class="el" href="../../db/d50/_scene_object_8c_source.html">SceneObject.c</a>.</p>

</div>
</div>
<a id="a94434c24368beaae3a83fd29e43ff387" name="a94434c24368beaae3a83fd29e43ff387"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a94434c24368beaae3a83fd29e43ff387">&#9670;&#160;</a></span>m_DebugShapeBBox</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected <a class="el" href="../../d6/dae/group___debug_shape.html#gaf4344f1db5238ced76a52bf38cee2978">Shape</a> SceneObject::m_DebugShapeBBox</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d50/_scene_object_8c_source.html#l00007">7</a> of file <a class="el" href="../../db/d50/_scene_object_8c_source.html">SceneObject.c</a>.</p>

</div>
</div>
<a id="a5bab9fb61faa0742374b9ae99a3e4578" name="a5bab9fb61faa0742374b9ae99a3e4578"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5bab9fb61faa0742374b9ae99a3e4578">&#9670;&#160;</a></span>m_InitScript</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> SceneObject::m_InitScript</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d50/_scene_object_8c_source.html#l00008">8</a> of file <a class="el" href="../../db/d50/_scene_object_8c_source.html">SceneObject.c</a>.</p>

</div>
</div>
<a id="aae49966ebb2a7f5f461d749f17d80bce" name="aae49966ebb2a7f5f461d749f17d80bce"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aae49966ebb2a7f5f461d749f17d80bce">&#9670;&#160;</a></span>m_LinkedSceneObjects</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected ref <a class="el" href="../../d2/d41/classarray.html">array</a>&lt;<a class="el" href="../../dc/df8/class_scene_object.html">SceneObject</a>&gt; SceneObject::m_LinkedSceneObjects</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d50/_scene_object_8c_source.html#l00012">12</a> of file <a class="el" href="../../db/d50/_scene_object_8c_source.html">SceneObject.c</a>.</p>

</div>
</div>
<a id="a67e5207d5166a05b97737e2d0f23b232" name="a67e5207d5166a05b97737e2d0f23b232"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a67e5207d5166a05b97737e2d0f23b232">&#9670;&#160;</a></span>m_LinkedSceneObjectsIndices</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">ref <a class="el" href="../../d2/d41/classarray.html">array</a>&lt;<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&gt; SceneObject::m_LinkedSceneObjectsIndices</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d50/_scene_object_8c_source.html#l00015">15</a> of file <a class="el" href="../../db/d50/_scene_object_8c_source.html">SceneObject.c</a>.</p>

</div>
</div>
<a id="a92851d46c9fa0ab8c2045177fde9f877" name="a92851d46c9fa0ab8c2045177fde9f877"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a92851d46c9fa0ab8c2045177fde9f877">&#9670;&#160;</a></span>m_LinkedSceneObjectsShapes</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected ref <a class="el" href="../../d6/d7f/_controls_xbox_new_8c.html#a9ec9dda576db2a36c42c1c3af155d07c">map</a>&lt;<a class="el" href="../../dc/df8/class_scene_object.html">SceneObject</a>, <a class="el" href="../../d6/dae/group___debug_shape.html#gaf4344f1db5238ced76a52bf38cee2978">Shape</a>&gt; SceneObject::m_LinkedSceneObjectsShapes</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d50/_scene_object_8c_source.html#l00013">13</a> of file <a class="el" href="../../db/d50/_scene_object_8c_source.html">SceneObject.c</a>.</p>

</div>
</div>
<a id="a0604a1bed1bc752b35d93af3376655f6" name="a0604a1bed1bc752b35d93af3376655f6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0604a1bed1bc752b35d93af3376655f6">&#9670;&#160;</a></span>m_ObjectName</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> SceneObject::m_ObjectName</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d50/_scene_object_8c_source.html#l00009">9</a> of file <a class="el" href="../../db/d50/_scene_object_8c_source.html">SceneObject.c</a>.</p>

</div>
</div>
<a id="a1d195fb918fc2299f151641998cdcb75" name="a1d195fb918fc2299f151641998cdcb75"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1d195fb918fc2299f151641998cdcb75">&#9670;&#160;</a></span>m_ObjectNameOrigin</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> SceneObject::m_ObjectNameOrigin</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d50/_scene_object_8c_source.html#l00010">10</a> of file <a class="el" href="../../db/d50/_scene_object_8c_source.html">SceneObject.c</a>.</p>

</div>
</div>
<a id="aaaf399fc7ba6ec91489a8518bc0cffaf" name="aaaf399fc7ba6ec91489a8518bc0cffaf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aaaf399fc7ba6ec91489a8518bc0cffaf">&#9670;&#160;</a></span>m_ObjectPtr</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected <a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a> SceneObject::m_ObjectPtr</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d50/_scene_object_8c_source.html#l00006">6</a> of file <a class="el" href="../../db/d50/_scene_object_8c_source.html">SceneObject.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>scripts/4_World/Classes/SceneEditor/<a class="el" href="../../db/d50/_scene_object_8c_source.html">SceneObject.c</a></li>
<li>scripts/4_World/Classes/SceneEditor/<a class="el" href="../../d2/d8c/_scene_player_8c_source.html">ScenePlayer.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dc/df8/class_scene_object.html">SceneObject</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
